Package net.snowflake.client.core

## Class AssertUtil

- java.lang.Object
- - net.snowflake.client.core.AssertUtil

    public class AssertUtil
    extends Object

### Constructor Summary

Constructors
`AssertUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `assertTrue​(boolean condition, String internalErrorMesg)` Assert the condition is true, otherwise throw an internal error exception with the given message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AssertUtil

    public AssertUtil()

### Method Detail

#### assertTrue

    @SnowflakeJdbcInternalApi
    public static void assertTrue​(boolean condition,
                                  String internalErrorMesg)
                           throws SFException

Assert the condition is true, otherwise throw an internal error exception with the given message.

Parameters:
  `condition` - The variable to test the 'truthiness' of
  `internalErrorMesg` - The error message to display if condition is false
Throws:
  `SFException` - Will be thrown if condition is false